Bug 1176712 - SELinux is preventing mission-control from 'write' accesses on the directory /run/user/1002.
Summary: SELinux is preventing mission-control from 'write' accesses on the directory ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 21
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:5029275832b322a073f6093d471...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-22 22:32 UTC by Cesar Eduardo Barros
Modified: 2015-01-30 23:55 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-105.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-30 23:55:05 UTC
Type: ---


Attachments (Terms of Use)

Description Cesar Eduardo Barros 2014-12-22 22:32:47 UTC
Description of problem:
Logging into a KDE session as an user_u user.
SELinux is preventing mission-control from 'write' accesses on the directory /run/user/1002.

*****  Plugin catchall (100. confidence) suggests   **************************

If você acredita que o mission-control deva ser permitido acesso de write em 1002 directory  por default.
Then você precisa reportar este como um erro.
Você pode gerar um módulo de política local para permitir este acesso.
Do
permitir este acesso agora executando:
# grep mission-control /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                user_u:user_r:telepathy_mission_control_t:s0
Target Context                system_u:object_r:user_tmp_t:s0
Target Objects                /run/user/1002 [ dir ]
Source                        mission-control
Source Path                   mission-control
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-103.fc21.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.17.7-300.fc21.x86_64 #1 SMP Wed
                              Dec 17 03:08:44 UTC 2014 x86_64 x86_64
Alert Count                   6
First Seen                    2014-12-22 19:23:08 BRST
Last Seen                     2014-12-22 19:26:48 BRST
Local ID                      bb1e35bc-c32d-4f3c-b1d9-c66b845cd8a1

Raw Audit Messages
type=AVC msg=audit(1419283608.248:578): avc:  denied  { write } for  pid=3625 comm="mission-control" name="/" dev="tmpfs" ino=42075 scontext=user_u:user_r:telepathy_mission_control_t:s0 tcontext=system_u:object_r:user_tmp_t:s0 tclass=dir permissive=0


Hash: mission-control,telepathy_mission_control_t,user_tmp_t,dir,write

Version-Release number of selected component:
selinux-policy-3.13.1-103.fc21.noarch

Additional info:
reporter:       libreport-2.3.0
hashmarkername: setroubleshoot
kernel:         3.17.7-300.fc21.x86_64
type:           libreport

Comment 1 Daniel Walsh 2014-12-23 19:00:01 UTC
7e852a6e1dc8c9c7968c14f170680c38a11feba1 fixes this in git

Comment 2 Lukas Vrabec 2015-01-15 14:29:43 UTC
commit 613e41a8dc7aeca3b69b454bb9e3b7e24e14d8cb
Author: Dan Walsh <dwalsh@redhat.com>
Date:   Tue Dec 23 13:59:07 2014 -0500

    Allow telepathy_mission_control to create tmp files

Comment 3 Fedora Update System 2015-01-27 16:49:42 UTC
selinux-policy-3.13.1-105.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/selinux-policy-3.13.1-105.fc21

Comment 4 Fedora Update System 2015-01-30 04:32:37 UTC
Package selinux-policy-3.13.1-105.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.13.1-105.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-1337/selinux-policy-3.13.1-105.fc21
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2015-01-30 23:55:05 UTC
selinux-policy-3.13.1-105.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.